Subject: Re: [RFC PATCH] clocksource: increase watchdog retries

From: Jiri Wiesner <[email-masked]>
Date: Mon, 1 Nov 2021 11:28:03 +0100

On Thu, Oct 28, 2021 at 11:42:09AM -0700, Paul E. McKenney wrote:
> On Thu, Oct 28, 2021 at 06:20:25PM +0200, Jiri Wiesner wrote:
> > On Wed, Oct 27, 2021 at 02:38:29PM -0700, Paul E. McKenney wrote:
> > > I had something like this pending, but people came up with other workloads
> > > that resulted in repeated delays.  In those cases, it does not make sense
> > > to ever mark the affected clocksource unstable.  This led me to the patch
> > > shown below, which splats after about 100 consecutive long-delay retries,
> > > but which avoids marking the clocksource unstable.  This is queued on -rcu.
> > > 
> > > Does this work for you?
> > > 
> > > commit 9ec2a03bbf4bee3d9fbc02a402dee36efafc5a2d
> > > Author: Paul E. McKenney <[email-masked]>
> > > Date:   Thu May 27 11:03:28 2021 -0700
> > > 
> > >     clocksource: Forgive repeated long-latency watchdog clocksource reads
> > 
> > Yes, it does. I have done 100 reboots of the testing machine (running
> > 5.15-rc5 with the above patch applied) and TSC was stable every time. I
> > am going to start a longer test of 300 reboots for good measure and
> > report back next week. J.
> 
> Very good, and thank you for giving it a go!

Thank you for the fix! It resolves several strange results we got in our performance testing.

> If it passes the upcoming tests

I have done 300 reboots of the testing machine. Again, TSC was stable every time.

> may I have your Tested-by?

Absolutely:
Tested-by: Jiri Wiesner <[email-masked]>